Subject: [Rmt] Draft Message

From: Habeeb Mohiuddin Mohammed <[email-masked]>
Date: Fri, 2 Jul 2010 14:30:40 +0200

Dear RMT experts,

> My name is Habeeb Mohiuddin Mohammed, a MSCE Student at the Munich
> University of Technology. In my internship project I implemented the RaptorQ
> encoder and decoder as specified in draft-ietf-rmt-bb-fec-raptorq-02. The
> draft easily enabled implementation of the algorithms and protocols.
> Nevertheless, during the implementation I detected some ambiguities.
> Therefore, I contacted the authors of the draft to clarify those, in
> particular the use and implementation of GF(256) operations.
>
> It turned out that the specification was correct and only some
> misunderstandings from my side. However, the authors were kind enough to
> address the ambiguities and provide me an updated specification and also
> integrated the clarification in latest draft
> draft-ietf-rmt-bb-fec-raptorq-03.
>
> We also agreed to exchange some test vectors for certain source block sizes
> that contain mixtures of source and encoding symbols. All exchanged vectors
> could be decoded by the other party, so we are confident to be able to claim
> to have two independent implementations of the RaptorQ forward error
> correction specification as documented in draft-ietf-rmt-bb-fec-raptorq-03.
>
> Therefore, I support that WGLC is issued for this specification.
>
Regards,
Habeeb Mohiuddin Mohammed,
Graduate Student, Master in Science of Communication Eng.,
Dept. of Electrical and Information Technology,
Technische Universität München,
Arcisstraße 21, D-80290 Munich,
Germany.
Email: [email-masked]